Sharepoint 2010 works only with FW 3.5, no FW 4.0 support

“sp2010 is workinh with .NET 3.5 only, no .NET 4 support here”
“This is correct. You cannot call .NET 4.0 assemblies from code written for any existing version of SharePoint, including SharePoint 2010.”
reference: